﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits="MindFusion.Scheduling.Samples.VB.Demo._Default" %>
<%@ Register Assembly="MindFusion.Scheduling.WebForms" Namespace="MindFusion.Scheduling.WebForms"
    TagPrefix="MindFusion" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>MindFusion WebPlanner Sample - Demo</title>
    <link href="common/jquery-ui.min.css" rel="stylesheet" />
    <link href="common/samples.css" rel="stylesheet" />
    <script type="text/javascript" src="common/jquery.min.js"></script>
    <script type="text/javascript" src="common/jquery-ui.min.js"></script>
    <script type="text/javascript" src="common/samples.js"></script>
    <style type="text/css">
        .ui-selectmenu-button
        {
            top: 8px;
        }
        .ui-button
        {
            top: -3px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <input type="hidden" id="collapsed" runat="server" />
    <div id="header" style="height: 49px;">
        <div style="float: left; margin-right: 5px;">
            View:
            <asp:DropDownList ID="lstCurrentView" runat="server" OnSelectedIndexChanged="lstCurrentView_SelectedIndexChanged">
                <asp:ListItem Value="SingleMonth">Single month</asp:ListItem>
                <asp:ListItem Value="MonthRange">Month range</asp:ListItem>
                <asp:ListItem Value="WeekRange">Week range</asp:ListItem>
                <asp:ListItem Value="SingleWeek">Single week</asp:ListItem>
                <asp:ListItem Value="Timetable" Selected="True">Timetable</asp:ListItem>
                <asp:ListItem Value="List">List</asp:ListItem>
                <asp:ListItem Value="ResourceView">Resource view</asp:ListItem>
            </asp:DropDownList>
        </div>
        <div style="float: left;">
            Theme:
            <asp:DropDownList ID="lstTheme" runat="server" OnSelectedIndexChanged="lstTheme_SelectedIndexChanged">
                <asp:ListItem>Standard</asp:ListItem>
                <asp:ListItem>Silver</asp:ListItem>
                <asp:ListItem>Windows2003</asp:ListItem>
                <asp:ListItem Selected="True">Vista</asp:ListItem>
                <asp:ListItem>Lila</asp:ListItem>
            </asp:DropDownList>
        </div>
        <div style="float: left; margin-left: 5px; margin-top: 10px;">
            <asp:Button ID="btnClear" runat="server" Text="Clear Schedule" CssClass="button"
                OnClick="btnClear_Click" />
            <asp:Button ID="btnLoad" runat="server" Text="Load Schedule" CssClass="button" OnClick="btnLoad_Click" />
            <asp:Button ID="btnSave" runat="server" Text="Save Schedule" CssClass="button" OnClick="btnSave_Click" />
        </div>
        <div style="float: right; margin-right: 5px; margin-top: 17px;">
            <button id="expandButton" onclick="onExpandCollapse()">
                &gt;</button>
        </div>
    </div>
    <div id="info" style="top: 60px; bottom: 24px;">
        <div id="infoTab" style="padding: 10px;">
            <h1>
                About this sample</h1>
            <p id="infoText" runat="server">
                &nbsp</p>
        </div>
    </div>
    <div id="content" style="top: 60px; bottom: 24px;">
        <div style="height: 50%">
            <MindFusion:Calendar ID="_calendar" runat="server" Height="100%" Width="100%" Theme="Vista"
                Visible="true" CurrentView="Timetable" Culture="(Default)" OnVisibleDateChanged="_calendar_VisibleDateChanged"
                CalendarLoadScript="onCalendarLoad">
            </MindFusion:Calendar>
        </div>
        <div>
            <div class="controls">
                <table class="detail" style="width: 100%;">
                    <tr>
                        <td style="width: 30%;">
                            <p class="label">
                                Filtering and Grouping</p>
                            <p style="white-space: normal;">
                                Select contacts or locations from the lists and apply a filter or grouping by resource
                                on the calendar.<br />
                                Grouping is available in Timetable, List and Resource views.</p>
                            <asp:Button ID="btnFilterBy" runat="server" Text="Apply filter" CssClass="tb" OnClick="btnFilterBy_Click" />
                            <asp:Button ID="btnGroupBy" runat="server" Text="Apply grouping" CssClass="tb" OnClick="btnGroupBy_Click"
                                Style="width: 100px" />
                            <asp:Button ID="btnClearGr" runat="server" Text="Clear grouping/filtering" CssClass="tb"
                                OnClick="btnClearGr_Click" Style="width: 150px" />
                        </td>
                        <td>
                            <table class="detail" border="0">
                                <tr>
                                    <td colspan="3">
                                        <p class="label">
                                            Contacts</p>
                                    </td>
                                    <td colspan="3">
                                        <p class="label" style="margin-left: 20px;">
                                            Locations</p>
                                    </td>
                                </tr>
                                <tr>
                                    <td rowspan="3">
                                        <asp:ListBox ID="lstContacts" runat="server" Width="125px" Height="100px" SelectionMode="Multiple"
                                            onchange="lstContactsChanged()" />
                                    </td>
                                    <td class="second">
                                        First name:
                                    </td>
                                    <td class="third">
                                        <asp:TextBox ID="tbConFName" runat="server" CssClass="tb" />
                                    </td>
                                    <td rowspan="3">
                                        <asp:ListBox ID="lstLocations" runat="server" Width="125px" Height="100px" SelectionMode="Multiple"
                                            onchange="lstLocationsChanged()" Style="margin-left: 20px;" />
                                    </td>
                                    <td class="second">
                                        Name:
                                    </td>
                                    <td class="third">
                                        <asp:TextBox ID="tbLocName" runat="server" CssClass="tb" />
                                    </td>
                                </tr>
                                <tr>
                                    <td class="second">
                                        Last name:
                                    </td>
                                    <td class="second">
                                        <asp:TextBox ID="tbConLName" runat="server" CssClass="tb" />
                                    </td>
                                    <td class="second">
                                    </td>
                                    <td class="second">
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Button ID="btnAddCon" runat="server" Text="Add" CssClass="tb" OnClick="btnAddCon_Click" />
                                    </td>
                                    <td>
                                        <asp:Button ID="btnDelCon" runat="server" Text="Remove" CssClass="tb" OnClick="btnDelCon_Click" />
                                    </td>
                                    <td>
                                        <asp:Button ID="btnAddLoc" runat="server" Text="Add" CssClass="tb" OnClick="btnAddLoc_Click" />
                                    </td>
                                    <td>
                                        <asp:Button ID="btnDelLoc" runat="server" Text="Remove" CssClass="tb" OnClick="btnDelLoc_Click" />
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </div>
            <div class="controls">
                <p class="label">
                    Item settings</p>
                <asp:Label ID="Label40" runat="server" Text="Size:" />
                <asp:TextBox ID="is_size" runat="server" AutoPostBack="true" MaxLength="2" OnTextChanged="is_size_Changed"
                    Width="33px" />
                <asp:Label ID="Label41" runat="server" Text="Spacing:" />
                <asp:TextBox ID="is_spacing" runat="server" AutoPostBack="true" MaxLength="2" OnTextChanged="is_spacing_Changed"
                    Width="33px" />
                <asp:Label ID="lblis_headerSize" runat="server" Text="Header size:" />
                <asp:TextBox ID="is_headerSize" runat="server" AutoPostBack="true" MaxLength="2"
                    OnTextChanged="is_headerSize_Changed" Width="33px" />
                <asp:Label ID="Label42" runat="server" Text="Css class:" />
                <asp:DropDownList ID="is_class" runat="server" AutoPostBack="true" OnSelectedIndexChanged="is_class_SelectedIndexChanged">
                    <asp:ListItem Selected="True"></asp:ListItem>
                    <asp:ListItem>Blue</asp:ListItem>
                    <asp:ListItem>Red</asp:ListItem>
                </asp:DropDownList>
                <asp:CheckBoxList runat="server" ID="cblItemSettings" AutoPostBack="true" RepeatColumns="4"
                    OnSelectedIndexChanged="cblItemSettings_SelectedIndexChanged" Style="display: inline-block;
                    position: relative; top: 10px">
                    <asp:ListItem Selected="True">Items visible</asp:ListItem>
                    <asp:ListItem Selected="True">Show continuation arrows</asp:ListItem>
                    <asp:ListItem Selected="True">Show hidden items cue</asp:ListItem>
                    <asp:ListItem Selected="True">Show reminder icons</asp:ListItem>
                </asp:CheckBoxList>
            </div>
            <div class="controls">
                <asp:Panel ID="pnlMRange" runat="server" CssClass="Panel">
                    <p class="label">
                        MonthRange settings</p>
                    <asp:Label ID="Label3" runat="server" Text="Number of months:" />
                    <asp:TextBox ID="mr_numberOfMonths" runat="server" AutoPostBack="true" MaxLength="2"
                        OnTextChanged="mr_numberOfMonths_Changed" Width="33px" />
                    <asp:Label ID="Label4" runat="server" Text="Months per row:" />
                    <asp:TextBox ID="mr_monthsPerRow" runat="server" AutoPostBack="true" MaxLength="1"
                        OnTextChanged="mr_monthsPerRow_Changed" Width="33px" />
                    <asp:Label ID="Label5" runat="server" Text="Visible rows:" />
                    <asp:TextBox ID="mr_VisibleRows" runat="server" AutoPostBack="true" MaxLength="1"
                        OnTextChanged="mr_VisibleRows_Changed" Width="33px" />
                    <asp:Label ID="Label6" runat="server" Text="Header height:" />
                    <asp:TextBox ID="mr_headerHeight" runat="server" AutoPostBack="true" MaxLength="2"
                        OnTextChanged="mr_headerHeight_Changed" Width="33px" />
                    <asp:Label ID="Label7" runat="server" Text="Header spacing:" />
                    <asp:TextBox ID="mr_headerSpacing" runat="server" AutoPostBack="true" MaxLength="2"
                        OnTextChanged="mr_headerSpacing_Changed" Width="33px" />
                    <asp:Label ID="Label8" runat="server" Text="Month spacing:" />
                    <asp:TextBox ID="mr_monthSpacing" runat="server" AutoPostBack="true" MaxLength="2"
                        OnTextChanged="mr_monthSpacing_Changed" Width="33px" />
                    <asp:CheckBox ID="mr_navButtons" runat="server" Checked="true" AutoPostBack="true"
                        OnCheckedChanged="mr_navButtons_CheckedChanged" Text="Navigation buttons" />
                </asp:Panel>
                <asp:Panel ID="pnlSingle" runat="server" CssClass="Panel">
                    <p class="label">
                        SingleMonth settings
                    </p>
                    <asp:Label ID="Label9" runat="server" Text="Main header size:" />
                    <asp:TextBox ID="sm_mainHeaderSize" runat="server" AutoPostBack="true" MaxLength="2"
                        Width="33px" OnTextChanged="sm_mainHeaderSize_Changed" />
                    <asp:Label ID="Label10" runat="server" Text="Day of week header size:" />
                    <asp:TextBox ID="sm_subHeaderSize" runat="server" AutoPostBack="true" MaxLength="2"
                        Width="33px" OnTextChanged="sm_subHeaderSize_Changed" />
                    <asp:Label ID="Label11" runat="server" Text="Week numbers header size:" />
                    <asp:TextBox ID="sm_weekHeaderSize" runat="server" AutoPostBack="true" MaxLength="2"
                        Width="33px" OnTextChanged="sm_weekHeaderSize_Changed" Enabled="false" ForeColor="Gray" />
                    <asp:CheckBoxList ID="cblSinlgeMonth" runat="server" AutoPostBack="true" RepeatColumns="6"
                        OnSelectedIndexChanged="cblSinlgeMonth_SelectedIndexChanged">
                        <asp:ListItem Selected="True">Month navigation buttons</asp:ListItem>
                        <asp:ListItem Selected="True">Year navigation buttons</asp:ListItem>
                        <asp:ListItem Selected="True">Day of week header</asp:ListItem>
                        <asp:ListItem>Week numbers header</asp:ListItem>
                        <asp:ListItem Selected="True">Show padding days</asp:ListItem>
                        <asp:ListItem Selected="True">Show padding items</asp:ListItem>
                    </asp:CheckBoxList>
                </asp:Panel>
                <asp:Panel ID="pnlTimetable" runat="server" Visible="false" CssClass="Panel1">
                    <p class="label">
                        Timetable settings
                    </p>
                    <asp:Label ID="Label1" runat="server" Text="Orientation:" />
                    <asp:DropDownList ID="ddlTimetableOrientation" runat="server" AutoPostBack="true"
                        OnSelectedIndexChanged="ddlTimetableOrientation_SelectedIndexChanged">
                        <asp:ListItem>Horizontal</asp:ListItem>
                        <asp:ListItem Selected="True">Vertical</asp:ListItem>
                    </asp:DropDownList>
                    <asp:Label ID="Label12" runat="server" Text="Main header size:" />
                    <asp:TextBox ID="tt_mainHeaderSize" runat="server" AutoPostBack="true" MaxLength="2"
                        OnTextChanged="tt_mainHeaderSize_Changed" Width="33px" />
                    <asp:Label ID="Label13" runat="server" Text="Resource grouping header size:" />
                    <asp:TextBox ID="tt_subHeaderSize" runat="server" AutoPostBack="true" MaxLength="2"
                        OnTextChanged="tt_subHeaderSize_Changed" Width="33px" Enabled="false" ForeColor="Gray" />
                    <asp:Label ID="Label14" runat="server" Text="Timeline size:" />
                    <asp:TextBox ID="tt_timelineSize" runat="server" AutoPostBack="true" MaxLength="2"
                        OnTextChanged="tt_timelineSize_Changed" Width="33px" />
                    <asp:Label ID="Label15" runat="server" Text="Minutes per cell:" />
                    <asp:TextBox ID="tt_cellTime" runat="server" AutoPostBack="true" MaxLength="2" OnTextChanged="tt_cellTime_Changed"
                        Width="33px" />
                    <asp:Label ID="Label16" runat="server" Text="Cell size:" />
                    <asp:TextBox ID="tt_cellSize" runat="server" AutoPostBack="true" MaxLength="2" OnTextChanged="tt_cellSize_Changed"
                        Width="33px" />
                    <input id="btnSetRange" type="button" value="Set date range" class="button" onclick="rangeClick(true)" />
                    <asp:CheckBoxList ID="cblTimetable" runat="server" AutoPostBack="true" OnSelectedIndexChanged="cblTimetable_SelectedIndexChanged"
                        RepeatColumns="3" RepeatDirection="Horizontal">
                        <asp:ListItem Selected="True">Navigation buttons</asp:ListItem>
                        <asp:ListItem Selected="True">Day header</asp:ListItem>
                        <asp:ListItem Selected="False">Expand button</asp:ListItem>
                    </asp:CheckBoxList>
                </asp:Panel>
                <asp:Panel ID="pnlList" runat="server" Visible="false" CssClass="Panel">
                    <p class="label">
                        ListView settings:
                    </p>
                    <asp:Label ID="Label22" runat="server" Text="Orientation:" />
                    <asp:DropDownList ID="ddlListViewOrientation" runat="server" AutoPostBack="true"
                        OnSelectedIndexChanged="ddlListViewOrientation_SelectedIndexChanged">
                        <asp:ListItem Selected="True">Horizontal</asp:ListItem>
                        <asp:ListItem>Vertical</asp:ListItem>
                    </asp:DropDownList>
                    <asp:Label ID="Label17" runat="server" Text="Header size:" />
                    <asp:TextBox ID="lv_headerSize" runat="server" AutoPostBack="true" MaxLength="2"
                        OnTextChanged="lv_headerSize_Changed" Width="33px" />
                    <asp:Label ID="Label18" runat="server" Text="Total cells:" />
                    <asp:TextBox ID="lv_numberOfCells" runat="server" AutoPostBack="true" MaxLength="2"
                        OnTextChanged="lv_numberOfCells_Changed" Width="33px" />
                    <asp:Label ID="Label19" runat="server" Text="Visible cells:" />
                    <asp:TextBox ID="lv_visibleCells" runat="server" AutoPostBack="true" MaxLength="2"
                        OnTextChanged="lv_visibleCells_Changed" Width="33px" />
                    <asp:Label ID="Label20" runat="server" Text="Cell units:" />
                    <asp:DropDownList ID="ddlListView" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlListView_SelectedIndexChanged">
                        <asp:ListItem>Second</asp:ListItem>
                        <asp:ListItem>Minute</asp:ListItem>
                        <asp:ListItem>Hour</asp:ListItem>
                        <asp:ListItem Selected="True">Day</asp:ListItem>
                        <asp:ListItem>Week</asp:ListItem>
                        <asp:ListItem>Month</asp:ListItem>
                    </asp:DropDownList>
                    <asp:Label ID="Label21" runat="server" Text="Day header format:" />
                    <asp:TextBox ID="lv_dateFormat" runat="server" AutoPostBack="true" Width="70px" Text="d "
                        OnTextChanged="lv_dateFormat_Changed" />
                    <asp:CheckBox ID="lv_navButtons" runat="server" Checked="true" AutoPostBack="true"
                        OnCheckedChanged="lv_navButtons_CheckedChanged" Text="Navigation buttons" /><br />
                </asp:Panel>
                <asp:Panel ID="pnlWeek" runat="server" Visible="false" CssClass="Panel">
                    <p id="wrCaption" class="label">
                        WeekRange settings
                    </p>
                    <asp:Label ID="Label23" runat="server" Text="Time period header size:" />
                    <asp:TextBox ID="wr_headerSize" runat="server" AutoPostBack="true" MaxLength="2"
                        OnTextChanged="wr_headerSize_Changed" Width="33px" />
                    <asp:Label ID="lblwr_subHeaderSize" runat="server" Text="Day of week header size:" />
                    <asp:TextBox ID="wr_subHeaderSize" runat="server" AutoPostBack="true" MaxLength="2"
                        OnTextChanged="wr_subHeaderSize_Changed" Width="33px" />
                    <asp:Label ID="Label24" runat="server" Text="Total days:" />
                    <asp:TextBox ID="wr_totalDays" runat="server" AutoPostBack="true" MaxLength="2" OnTextChanged="wr_totalDays_Changed"
                        Width="33px" />
                    <asp:Label ID="lblwr_visibleRows" runat="server" Text="Visible rows:" />
                    <asp:TextBox ID="wr_visibleRows" runat="server" AutoPostBack="true" MaxLength="2"
                        OnTextChanged="wr_visibleRows_Changed" Width="33px" />
                    <asp:CheckBoxList ID="cblWeekRange" runat="server" AutoPostBack="true" OnSelectedIndexChanged="cblWeekRange_SelectedIndexChanged"
                        RepeatColumns="2">
                        <asp:ListItem Selected="True">Time period header</asp:ListItem>
                        <asp:ListItem Selected="True">Day of week header</asp:ListItem>
                    </asp:CheckBoxList>
                </asp:Panel>
                <asp:Panel ID="pnlResource" runat="server" Visible="false" CssClass="Panel">
                    <p id="P1" class="label">
                        Resource view settings
                    </p>
                    <asp:Label ID="Label25" runat="server" Text="Timelines:" />
                    <asp:DropDownList ID="r_timelines" runat="server" AutoPostBack="true" OnSelectedIndexChanged="r_timelines_SelectedIndexChanged">
                        <asp:ListItem>1</asp:ListItem>
                        <asp:ListItem Selected="True">2</asp:ListItem>
                        <asp:ListItem>3</asp:ListItem>
                    </asp:DropDownList>
                    <asp:Label ID="Label26" runat="server" Text="Visible cells:" />
                    <asp:TextBox ID="r_visibleCells" runat="server" AutoPostBack="true" MaxLength="2"
                        OnTextChanged="r_visibleCells_Changed" Width="33px" />
                    <asp:Label ID="Label27" runat="server" Text="Group header size:" />
                    <asp:TextBox ID="r_groupHeaderSize" runat="server" AutoPostBack="true" MaxLength="2"
                        OnTextChanged="r_groupHeaderSize_Changed" Width="33px" />
                    <br />
                    <asp:Label ID="Label28" runat="server" Text="Top timeline settings" Font-Bold="true" />
                    <asp:Label ID="Label29" runat="server" Text="Unit:" />
                    <asp:DropDownList ID="r_ttunit" runat="server" AutoPostBack="true" OnSelectedIndexChanged="r_ttunit_SelectedIndexChanged">
                        <asp:ListItem>Hour</asp:ListItem>
                        <asp:ListItem>Day</asp:ListItem>
                        <asp:ListItem>Week</asp:ListItem>
                        <asp:ListItem>Month</asp:ListItem>
                        <asp:ListItem Selected="True">Year</asp:ListItem>
                    </asp:DropDownList>
                    <asp:Label ID="Label30" runat="server" Text="Unit count:" />
                    <asp:TextBox ID="r_ttcount" runat="server" AutoPostBack="true" MaxLength="2" OnTextChanged="r_ttcount_Changed"
                        Width="33px" />
                    <asp:Label ID="Label31" runat="server" Text="Size:" />
                    <asp:TextBox ID="r_ttsize" runat="server" AutoPostBack="true" MaxLength="2" OnTextChanged="r_ttsize_Changed"
                        Width="33px" />
                    <br />
                    <asp:Label ID="Label32" runat="server" Text="Middle timeline settings" Font-Bold="true" />
                    <asp:Label ID="Label33" runat="server" Text="Unit:" />
                    <asp:DropDownList ID="r_mtunit" runat="server" AutoPostBack="true" OnSelectedIndexChanged="r_mtunit_SelectedIndexChanged">
                        <asp:ListItem>Hour</asp:ListItem>
                        <asp:ListItem>Day</asp:ListItem>
                        <asp:ListItem>Week</asp:ListItem>
                        <asp:ListItem Selected="True">Month</asp:ListItem>
                        <asp:ListItem>Year</asp:ListItem>
                    </asp:DropDownList>
                    <asp:Label ID="Label34" runat="server" Text="Unit count:" />
                    <asp:TextBox ID="r_mtcount" runat="server" AutoPostBack="true" MaxLength="2" OnTextChanged="r_mtcount_Changed"
                        Width="33px" />
                    <asp:Label ID="Label35" runat="server" Text="Size:" />
                    <asp:TextBox ID="r_mtsize" runat="server" AutoPostBack="true" MaxLength="2" OnTextChanged="r_mtsize_Changed"
                        Width="33px" />
                    <br />
                    <asp:Label ID="Label36" runat="server" Text="Bottom timeline settings" Font-Bold="true" />
                    <asp:Label ID="Label37" runat="server" Text="Unit:" />
                    <asp:DropDownList ID="r_btunit" runat="server" AutoPostBack="true" OnSelectedIndexChanged="r_btunit_SelectedIndexChanged">
                        <asp:ListItem>Hour</asp:ListItem>
                        <asp:ListItem Selected="True">Day</asp:ListItem>
                        <asp:ListItem>Week</asp:ListItem>
                        <asp:ListItem>Month</asp:ListItem>
                        <asp:ListItem>Year</asp:ListItem>
                    </asp:DropDownList>
                    <asp:Label ID="Label38" runat="server" Text="Unit count:" />
                    <asp:TextBox ID="r_btcount" runat="server" AutoPostBack="true" MaxLength="2" OnTextChanged="r_btcount_Changed"
                        Width="33px" />
                    <asp:Label ID="Label39" runat="server" Text="Size:" />
                    <asp:TextBox ID="r_btsize" runat="server" AutoPostBack="true" MaxLength="2" OnTextChanged="r_btsize_Changed"
                        Width="33px" />
                </asp:Panel>
            </div>
        </div>
    </div>
    <div id="footer" style="height: 24px;">
        <span id="copyright"></span>
    </div>
    <div id="floating">
        <p>
            Select dates to display in the Timetable view:
        </p>
        <MindFusion:Calendar ID="Calendar2" runat="server" Height="250px" Width="100%" Theme="Vista"
            CurrentView="SingleMonth" Culture="(Default)" UseForms="false" SelectionEndScript="selectionEnd">
            <MonthSettings>
                <DaySettings HeaderSize="0">
                </DaySettings>
            </MonthSettings>
        </MindFusion:Calendar>
        <br />
        <input id="btnCloseSmallCall" type="button" value="Close" onclick="rangeClick(false)" />
    </div>
    <script type="text/javascript">
    	$('#lstTheme,#lstCurrentView, #ddlListView,#ddlListViewOrientation, #ddlTimetableOrientation,#r_timelines, #r_ttunit,#r_mtunit, #r_btunit,#is_class').on("selectmenuchange", function ()
    	{
    		__doPostBack();
    	});
    	/**
    	* Handle the selectionEnd event on the small calendar to post the page back.
    	*/
    	function selectionEnd(sender, args)
    	{
    		__doPostBack('__Page');
    	}

    	/**
    	* Handle the Calendar.Load client event to change the settings caption for WeekRange view.
    	*/
    	function onCalendarLoad(sender)
    	{
    		if (sender._currentView == MindFusion.Scheduling.CalendarView.WeekRange)
    		{
    			if (sender.view.viewStyle === MindFusion.Scheduling.WeekRangeViewStyle.WeekPerRow)
    				$get('wrCaption').innerHTML = 'WeekRange settings';
    			else if (sender.view.viewStyle === MindFusion.Scheduling.WeekRangeViewStyle.SingleWeek)
    				$get('wrCaption').innerHTML = 'SingleWeek settings';
    		}
    	}

    	/**
    	* Toggle the visibility of the small calendar.
    	*/
    	function rangeClick(value)
    	{
    		if (value)
    		{
    			$get('floating').style.visibility = 'visible';
    		}
    		else
    			$get('floating').style.visibility = 'hidden';
    	}

    	/**
    	* Handle the onchange event on the Contacts list to update the relevant 
    	* textboxes and to deselect any selected items the Locations list (for filtering/grouping).
    	*/
    	function lstContactsChanged(sender, args)
    	{
    		var locs = $get('lstLocations');
    		var conts = $get('lstContacts');
    		var cal = $find('_calendar');
    		var fName = $get('tbConFName');
    		var lName = $get('tbConLName');
    		var con = cal._schedule.contacts[conts.selectedIndex];
    		if (con)
    		{
    			fName.value = con.firstName;
    			lName.value = con.lastName;
    		}
    		else
    		{
    			fName.value = '';
    			lName.value = '';
    		}
    		if (locs != null && locs.selectedIndex !== -1)
    		{
    			locs.selectedIndex = -1;
    			$get('tbLocName').value = "";
    		}
    	}

    	/**
    	* Handle the onchange event on the Locations list to update the relevant 
    	* textboxes and to deselect any selected items the Contacts list (for filtering/grouping).
    	*/
    	function lstLocationsChanged(sender, args)
    	{
    		var conts = $get('lstContacts');
    		var locs = $get('lstLocations');
    		var cal = $find('_calendar');
    		var name = $get('tbLocName');
    		var loc = cal._schedule.locations[locs.selectedIndex];
    		if (loc)
    		{
    			name.value = loc.name;
    		}
    		else
    		{
    			name.value = "";
    		}
    		if (conts != null && conts.selectedIndex !== -1)
    		{
    			conts.selectedIndex = -1;
    			$get('tbConFName').value = "";
    			$get('tbConLName').value = "";
    		}
    	}
    </script>
    </form>
</body>
</html>
